gunnar: server cvs-kolab.sh,1.18,1.19

cvs at kolab.org cvs at kolab.org
Fri Nov 30 10:43:29 CET 2007


Author: gunnar

Update of /kolabrepository/server
In directory doto:/tmp/cvs-serv27300

Modified Files:
	cvs-kolab.sh 
Log Message:
Add some fixes to the release process. Maybe this becomes useful next time then.

Index: cvs-kolab.sh
===================================================================
RCS file: /kolabrepository/server/cvs-kolab.sh,v
retrieving revision 1.18
retrieving revision 1.19
diff -u -d -r1.18 -r1.19
--- cvs-kolab.sh	30 Nov 2007 05:44:47 -0000	1.18
+++ cvs-kolab.sh	30 Nov 2007 09:43:27 -0000	1.19
@@ -169,23 +169,36 @@
 	die "There exists no CVS environment at /${KOLAB_DEV_USER}/CVS/server! Did you run ./cvs-kolab.sh -i to setup the CVS based Kolab server?"
     fi
     cd "/${KOLAB_DEV_USER}/CVS/server"
-    cvs -q update -P -d
+    cvs -Q update -P -d 
     chown -R "${KOLAB_DEV_USER}:" "/${KOLAB_DEV_USER}/CVS"
-    su - "${KOLAB_DEV_USER}" -c "cd `pwd` && make clean" || die "Not releasing! Looks like the Kolab developers broke CVS. Bug them at https://www.intevation.de/roundup/kolab"
-    su - "${KOLAB_DEV_USER}" -c "cd `pwd` && make" || die "Not releasing! Looks like the Kolab developers broke CVS. Bug them at https://www.intevation.de/roundup/kolab"
     mkdir -p "${KOLAB_PACKAGES}/source-release/RELEASE"
+    su - "${KOLAB_DEV_USER}" -c "cd `pwd` && make clean" > "${KOLAB_PACKAGES}/source-release/make-clean.log" || die "Not releasing! Looks like the Kolab developers broke CVS. Bug them at https://www.intevation.de/roundup/kolab"
+    su - "${KOLAB_DEV_USER}" -c "cd `pwd` && make" > "${KOLAB_PACKAGES}/source-release/make.log" || die "Not releasing! Looks like the Kolab developers broke CVS. Bug them at https://www.intevation.de/roundup/kolab"
     cd "${KOLAB_PACKAGES}/source-release/RELEASE"
     cp "/${KOLAB_DEV_USER}/CVS/server/install-kolab.sh" .
     cp /"${KOLAB_DEV_USER}"/CVS/server/stage/* .
-    wget "ftp://ftp.openpkg.org/current/SRC/CORE/openpkg-*.src.sh" || die "No OpenPKG installer found!"
-    ./install-kolab.sh -E -t "${KOLAB_REL_USER}" -I 23414 -F -H > ../kolab-build.log 2>&1
+    wget -q "ftp://ftp.openpkg.org/current/SRC/CORE/openpkg-*.src.sh" || die "No OpenPKG installer found!"
+    ./install-kolab.sh -E -t "${KOLAB_REL_USER}" -I 23414 -F -H > ../openpkg-build.log 2>&1  || die "Couldn't build OpenPKG!"
     wget "ftp://ftp.openpkg.org/current/SRC/BASE/openpkg-tools*.src.rpm" || die "No OpenPKG tools found!"
-    "/${KOLAB_REL_USER}/bin/openpkg" build -k openpkg-tools | sh
-    "/${KOLAB_REL_USER}/bin/openpkg" register --mode=post --user=${OPENPKG_USER}
+    "/${KOLAB_REL_USER}/bin/openpkg" build -k openpkg-tools | sh > ../openpkg-tools-build.log 2>&1 || die "Couldn't build OpenPKG tools!"
+    echo "----------------------------------------------------"
+    echo ""
+    echo " Registering your instance:"
+    echo ""
+    "/${KOLAB_REL_USER}/bin/openpkg" register --mode=post --user=${OPENPKG_USER} || die "Failed to register the release instance!"
+    echo ""
+    echo "  Registered your instance."
+    echo "  Now go to http://registry.openpkg.org/register and"
+    echo "  associate your release instance."
+    echo ""
+    echo "----------------------------------------------------"
+    echo "Press [Enter] after registering..."
+    echo ""
+    read ANSWER
     PLATFORM=`/"${KOLAB_REL_USER}"/lib/openpkg/shtool platform --type=binary`
     rm *$PLATFORM*
     chown ${KOLAB_REL_USER} .
-    "/${KOLAB_REL_USER}/bin/openpkg" index -r . -o 00INDEX.rdf -i .
+    "/${KOLAB_REL_USER}/bin/openpkg" index -r . -o 00INDEX.rdf -i . > ../local-index.log 2>&1 || die "Failed generating the Kolab package index!"
     cd ..
     cp RELEASE/install-kolab.sh .
     cat << __EOF > 00INDEX.rdf
@@ -200,10 +213,10 @@
 </rdf:RDF>
 __EOF
 
-    ./install-kolab.sh -t "${KOLAB_REL_USER}" -I 23414 -F -H > kolab-build.log2 2>&1
+    ./install-kolab.sh -t "${KOLAB_REL_USER}" -I 23414 -F -H > kolab-build.log2 2>&1 || die "Failed to build the Kolab server!"
     cp /"${KOLAB_REL_USER}"/RPM/PKG/*.src.rpm RELEASE/
     cd RELEASE
-    "/${KOLAB_REL_USER}/bin/openpkg" index -r . -o 00INDEX.rdf -i .
+    "/${KOLAB_REL_USER}/bin/openpkg" index -r . -o 00INDEX.rdf -i . > ../final-index.log 2>&1 || die "Failed generating the final release index!"
     md5sum *.sh *.rpm > MD5SUMS
     cd ..
 





More information about the commits mailing list